import request, { apiGet } from '@/utils/request';

export function getReportListApi() {
  return apiGet('/getExperimentList?searchValue=');
}

export function getReportDetailApi(params) {
  return apiGet('/getExperimentInfo', params);
}

export function getReportDataListApi(params) {
  return apiGet('/getAerosolExperimentStepList', params);
}

export function exportDataApi(data) {
  return request({
    url: 'api/export_table',
    method: 'post',
    data,
    responseType: 'blob'
  });
}

export function deleteReportApi(params) {
  return apiGet('/deleteExperiment', params);
}
export function getRecordInfoListApi(params) {
  return apiGet('/getRecordInfoList', params);
}

export function deleteRecordApi(params) {
  return apiGet('/deleteRecord', params);
}
